CUDNN Frontend API 8.3.0

Public Types | Static Public Attributes | List of all members
nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value &&std::is_integral< CompatibleNumberIntegerType >::value &&!std::is_same< bool, CompatibleNumberIntegerType >::value > > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value &&std::is_integral< CompatibleNumberIntegerType >::value &&!std::is_same< bool, CompatibleNumberIntegerType >::value > >:

## Public Types
using | RealLimits = std::numeric_limits< RealIntegerType >
using | CompatibleLimits = std::numeric_limits< CompatibleNumberIntegerType >

## Static Public Attributes
static constexpr auto | value

## Detailed Description

### template<typename RealIntegerType, typename CompatibleNumberIntegerType>
struct nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value &&std::is_integral< CompatibleNumberIntegerType >::value &&!std::is_same< bool, CompatibleNumberIntegerType >::value > >

Definition at line 3787 of file json.hpp.

## Member Typedef Documentation

## ◆ CompatibleLimits

template<typename RealIntegerType , typename CompatibleNumberIntegerType >

using nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value &&std::is_integral< CompatibleNumberIntegerType >::value &&!std::is_same< bool, CompatibleNumberIntegerType >::value > >::CompatibleLimits = std::numeric_limits<CompatibleNumberIntegerType>

Definition at line 3795 of file json.hpp.

## ◆ RealLimits

template<typename RealIntegerType , typename CompatibleNumberIntegerType >

using nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value &&std::is_integral< CompatibleNumberIntegerType >::value &&!std::is_same< bool, CompatibleNumberIntegerType >::value > >::RealLimits = std::numeric_limits<RealIntegerType>

Definition at line 3794 of file json.hpp.

## Member Data Documentation

## ◆ value

template<typename RealIntegerType , typename CompatibleNumberIntegerType >

constexpr auto nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value &&std::is_integral< CompatibleNumberIntegerType >::value &&!std::is_same< bool, CompatibleNumberIntegerType >::value > >::value
| static

Initial value:
=
is_constructible<RealIntegerType,
CompatibleNumberIntegerType>::value &&
CompatibleLimits::is_integer &&
RealLimits::is_signed == CompatibleLimits::is_signed

Definition at line 3797 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp